Bullet Collision Detection & Physics Library: btSoftBodyHelpers Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
btSoftBodyHelpers Struct Reference

`#include <btSoftBodyHelpers.h>`

## Static Public Member Functions
static void | Draw (btSoftBody *psb, btIDebugDraw *idraw, int drawflags=fDrawFlags::Std)
static void | DrawInfos (btSoftBody *psb, btIDebugDraw *idraw, bool masses, bool areas, bool stress)
static void | DrawNodeTree (btSoftBody *psb, btIDebugDraw *idraw, int mindepth=0, int maxdepth=-1)
static void | DrawFaceTree (btSoftBody *psb, btIDebugDraw *idraw, int mindepth=0, int maxdepth=-1)
static void | DrawClusterTree (btSoftBody *psb, btIDebugDraw *idraw, int mindepth=0, int maxdepth=-1)
static void | DrawFrame (btSoftBody *psb, btIDebugDraw *idraw)
static btSoftBody * | CreateRope (btSoftBodyWorldInfo &worldInfo, const btVector3 &from, const btVector3 &to, int res, int fixeds)
static btSoftBody * | CreatePatch (btSoftBodyWorldInfo &worldInfo, const btVector3 &corner00, const btVector3 &corner10, const btVector3 &corner01, const btVector3 &corner11, int resx, int resy, int fixeds, bool gendiags)
static btSoftBody * | CreatePatchUV (btSoftBodyWorldInfo &worldInfo, const btVector3 &corner00, const btVector3 &corner10, const btVector3 &corner01, const btVector3 &corner11, int resx, int resy, int fixeds, bool gendiags, float *tex_coords=0)
static float | CalculateUV (int resx, int resy, int ix, int iy, int id)
static btSoftBody * | CreateEllipsoid (btSoftBodyWorldInfo &worldInfo, const btVector3 &center, const btVector3 &radius, int res)
static btSoftBody * | CreateFromTriMesh (btSoftBodyWorldInfo &worldInfo, const btScalar *vertices, const int *triangles, int ntriangles, bool randomizeConstraints=true)
static btSoftBody * | CreateFromConvexHull (btSoftBodyWorldInfo &worldInfo, const btVector3 *vertices, int nvertices, bool randomizeConstraints=true)
static btSoftBody * | CreateFromTetGenData (btSoftBodyWorldInfo &worldInfo, const char *ele, const char *face, const char *node, bool bfacelinks, bool btetralinks, bool bfacesfromtetras)
static void | ReoptimizeLinkOrder (btSoftBody *psb)
| Sort the list of links to move link calculations that are dependent upon earlier ones as far as possible away from the calculation of those values This tends to make adjacent loop iterations not dependent upon one another, so out-of-order processors can execute instructions from multiple iterations at once. More...

## Detailed Description

Definition at line 45 of file btSoftBodyHelpers.h.

## Member Function Documentation

float btSoftBodyHelpers::CalculateUV | ( | int | resx,
|  | int | resy,
|  | int | ix,
|  | int | iy,
|  | int | id
| ) |  |
| static

Definition at line 941 of file btSoftBodyHelpers.cpp.

btSoftBody * btSoftBodyHelpers::CreateEllipsoid | ( | btSoftBodyWorldInfo & | worldInfo,
|  | const btVector3 & | center,
|  | const btVector3 & | radius,
|  | int | res
| ) |  |
| static

Definition at line 985 of file btSoftBodyHelpers.cpp.

btSoftBody * btSoftBodyHelpers::CreateFromConvexHull | ( | btSoftBodyWorldInfo & | worldInfo,
|  | const btVector3 * | vertices,
|  | int | nvertices,
|  | bool | randomizeConstraints = `true`
| ) |  |
| static

Definition at line 1064 of file btSoftBodyHelpers.cpp.

btSoftBody * btSoftBodyHelpers::CreateFromTetGenData | ( | btSoftBodyWorldInfo & | worldInfo,
|  | const char * | ele,
|  | const char * | face,
|  | const char * | node,
|  | bool | bfacelinks,
|  | bool | btetralinks,
|  | bool | bfacesfromtetras
| ) |  |
| static

Definition at line 1115 of file btSoftBodyHelpers.cpp.

btSoftBody * btSoftBodyHelpers::CreateFromTriMesh | ( | btSoftBodyWorldInfo & | worldInfo,
|  | const btScalar * | vertices,
|  | const int * | triangles,
|  | int | ntriangles,
|  | bool | randomizeConstraints = `true`
| ) |  |
| static

Definition at line 1017 of file btSoftBodyHelpers.cpp.

btSoftBody * btSoftBodyHelpers::CreatePatch | ( | btSoftBodyWorldInfo & | worldInfo,
|  | const btVector3 & | corner00,
|  | const btVector3 & | corner10,
|  | const btVector3 & | corner01,
|  | const btVector3 & | corner11,
|  | int | resx,
|  | int | resy,
|  | int | fixeds,
|  | bool | gendiags
| ) |  |
| static

Definition at line 702 of file btSoftBodyHelpers.cpp.

btSoftBody * btSoftBodyHelpers::CreatePatchUV | ( | btSoftBodyWorldInfo & | worldInfo,
|  | const btVector3 & | corner00,
|  | const btVector3 & | corner10,
|  | const btVector3 & | corner01,
|  | const btVector3 & | corner11,
|  | int | resx,
|  | int | resy,
|  | int | fixeds,
|  | bool | gendiags,
|  | float * | tex_coords = `0`
| ) |  |
| static

Definition at line 779 of file btSoftBodyHelpers.cpp.

btSoftBody * btSoftBodyHelpers::CreateRope | ( | btSoftBodyWorldInfo & | worldInfo,
|  | const btVector3 & | from,
|  | const btVector3 & | to,
|  | int | res,
|  | int | fixeds
| ) |  |
| static

Definition at line 670 of file btSoftBodyHelpers.cpp.

void btSoftBodyHelpers::Draw | ( | btSoftBody * | psb,
|  | btIDebugDraw * | idraw,
|  | int | drawflags = `fDrawFlags::Std`
| ) |  |
| static

Definition at line 159 of file btSoftBodyHelpers.cpp.

void btSoftBodyHelpers::DrawClusterTree | ( | btSoftBody * | psb,
|  | btIDebugDraw * | idraw,
|  | int | mindepth = `0`,
|  | int | maxdepth = `-1`
| ) |  |
| static

Definition at line 475 of file btSoftBodyHelpers.cpp.

void btSoftBodyHelpers::DrawFaceTree | ( | btSoftBody * | psb,
|  | btIDebugDraw * | idraw,
|  | int | mindepth = `0`,
|  | int | maxdepth = `-1`
| ) |  |
| static

Definition at line 466 of file btSoftBodyHelpers.cpp.

void btSoftBodyHelpers::DrawFrame | ( | btSoftBody * | psb,
|  | btIDebugDraw * | idraw
| ) |  |
| static

Definition at line 646 of file btSoftBodyHelpers.cpp.

void btSoftBodyHelpers::DrawInfos | ( | btSoftBody * | psb,
|  | btIDebugDraw * | idraw,
|  | bool | masses,
|  | bool | areas,
|  | bool | stress
| ) |  |
| static

Definition at line 431 of file btSoftBodyHelpers.cpp.

void btSoftBodyHelpers::DrawNodeTree | ( | btSoftBody * | psb,
|  | btIDebugDraw * | idraw,
|  | int | mindepth = `0`,
|  | int | maxdepth = `-1`
| ) |  |
| static

Definition at line 457 of file btSoftBodyHelpers.cpp.

void btSoftBodyHelpers::ReoptimizeLinkOrder | ( | btSoftBody * | psb | ) |
| static

Sort the list of links to move link calculations that are dependent upon earlier ones as far as possible away from the calculation of those values This tends to make adjacent loop iterations not dependent upon one another, so out-of-order processors can execute instructions from multiple iterations at once.

Definition at line 536 of file btSoftBodyHelpers.cpp.

The documentation for this struct was generated from the following files:

- btSoftBodyHelpers.h
- btSoftBodyHelpers.cpp